
/* ---TRANSFORMATION STYLES--- */

.transformation_section {
    padding: 10vw 0 5vw 0;
    overflow: hidden;
}

.transformation_section .transformation_box {
    display: flex;
    flex-direction: column;
    gap: 3vw;
}

.transformation_section .content_box {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3vw;
    padding: 0 5vw;
}

.transformation_section .info_box,
.transformation_section .title_box {
    align-items: center;
    text-align: center;
}

.transformation_section .content_box p {
    width: 60%;
}

.transformation_section .slider_viewport {
    display: flex;
    flex-direction: column;
    gap: .8vw;
}

.transformation_section .slider_track {
    width: max-content;
    display: flex;
    flex-wrap: nowrap;
    gap: .8vw;
    will-change: transform;
    transform: translate3d(0, 0, 0);
}

.transformation_section .slider_track.track_left {
    animation: scroll-left 100s linear infinite;
}

.transformation_section .slider_track.track_right {
    animation: scroll-right 100s linear infinite;
}

.transformation_section .slide_item {
    flex-shrink: 0;
    transition: .5s;
    cursor: pointer;
    user-select: none;
}

.transformation_section .slide_item:hover {
    transform: scale(.98);
}

.transformation_section .media_box {
    position: relative;
    width: 30vw;
    height: 24vw;
    border-radius: 1vw;
    overflow: hidden;
}

.transformation_section .media_box img {
    user-select: none;
}

.transformation_section .testimonial_box {
    width: 22vw;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.5vw;
    padding: 1.5vw;
    border-radius: 1vw;
    background: #ffffff30;
}

.transformation_section .slide_item:hover .testimonial_box {
    background: #ffffff40;
}

.transformation_section .profile_box {
    display: grid;
    grid-template-columns: 1fr 5.5fr;
}

.transformation_section .profile {
    position: relative;
    width: 2.5vw;
    height: 2.5vw;
    border-radius: 50%;
    overflow: hidden;
}

.transformation_section .details_box {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.transformation_section .details_box span:nth-child(1) {
    color: white;
    font-size: .9vw;
}

.transformation_section .details_box span:nth-child(2) {
    color: white;
    font-size: .8vw;
    opacity: .7;
}

.transformation_section .cta_box .info_box {
    align-items: center;
    text-align: center;
}

@keyframes scroll-left {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

@keyframes scroll-right {
    from {
        transform: translateX(-50%);
    }

    to {
        transform: translateX(0);
    }
}

@media (max-width: 996px) {
    .transformation_section {
        padding: 10vw 0;
    }

    .transformation_section .transformation_box {
        gap: 10vw;
    }

    .transformation_section .content_box {
        display: flex;
        flex-direction: column;
        justify-content: inherit;
        align-items: inherit;
        gap: 5vw;
        padding: 0 10vw;
    }

    .transformation_section .content_box p {
        width: 100%;
    }

    .transformation_section .slider_viewport {
        gap: 3vw;
    }

    .transformation_section .slider_track {
        gap: 3vw;
    }

    .transformation_section .slider_track.track_left {
        animation: scroll-left 150s linear infinite;
    }

    .transformation_section .slider_track.track_right {
        animation: scroll-right 150s linear infinite;
    }

    .transformation_section .media_box {
        width: 60vw;
        height: 100%;
        border-radius: 2vw;
    }

    .transformation_section .testimonial_box {
        width: 80vw;
        height: 100%;
        gap: 5vw;
        padding: 5vw;
        border-radius: 2vw;
    }

    .transformation_section .profile_box {
        display: grid;
        grid-template-columns: 1fr 5.5fr;
        gap: 2vw;
    }

    .transformation_section .profile {
        width: 12vw;
        height: 12vw;
    }

    .transformation_section .details_box span:nth-child(1) {
        color: var(--green);
        font-size: 3.5vw;
    }

    .transformation_section .details_box span:nth-child(2) {
        font-size: 3vw;
    }

    .transformation_section .cta_box .info_box {
        padding: 0 10vw;
    }
}